Bug 6750 - при выборе всех локалей и основной uk_UA ругается по-немецки
: при выборе всех локалей и основной uk_UA ругается по-немецки
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/install2-x11-qt)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-30 00:21 by
Modified: 2012-03-16 13:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-30 00:21:12
если выбрать (в syslinux) основным языком украинский и запросить все доступные
языки в качестве дополнительных, получаем систему, которая говорит
...по-немецки.

я понимаю, 9 мая, бандеровцы, но это нам покруче флажков будет, если так и
останется.

похоже, raorn прав про LANGUAGE (который в /etc/sysconfig/i18n нарисован как
uk_UA.UTF-8:de_DE.UTF-8:fr_FR.UTF-8:lt_LT.UTF-8:be_BY.UTF-8:ru_RU.UTF-8:he_IL.UTF-8).
------- Comment #1 From 2005-04-30 00:21:39 -------
2.9.9.5
------- Comment #2 From 2005-05-02 00:41:28 -------
Да, ерунда получается. Что-нибудь придумаем. 

------- Comment #3 From 2005-06-08 18:22:31 -------
пофиксено 
LANGAGE прописывается один, такой же, как LANG 
а список языков пишется в SUPPORTED 
------- Comment #4 From 2005-06-08 18:36:50 -------
о, спасибо -- ждём-с :)
------- Comment #5 From 2005-06-09 01:24:18 -------
в SUPPORTED при установке "русский плюс ещё несколько" попало "ru_RU.UTF-8:::"
LANG/LANGUAGE -- только "ru_RU.UTF-8"
------- Comment #6 From 2005-06-09 01:24:39 -------
2.9.9.7
------- Comment #7 From 2005-06-09 09:53:27 -------
(In reply to comment #3)
> пофиксено 
> LANGAGE прописывается один, такой же, как LANG 
> а список языков пишется в SUPPORTED 

$#%^@#$^!! Ну не надо прописывать LANGUAGE!!!  LANG в _такой_ конфигурации
вполне достаточно, а проблем на порядок меньше!
------- Comment #8 From 2005-07-15 14:43:07 -------
fixed in забыл когда 
------- Comment #9 From 2005-08-30 02:21:22 -------
closing
------- Comment #10 From 2005-08-30 02:31:39 -------
closing